Get experiment by id

Get experiment by id

Path parameters

idstringRequiredformat: "uuid"

Response

Experiment resource
dataset_namestring or null>=1 character
idstringformat: "uuid"
dataset_idstringRead-onlyformat: "uuid"
project_idstringformat: "uuid"

Project ID. Takes precedence over project_name when both are provided.

project_namestringformat: "(?s)^\s*(\S.*\S|\S)\s*$"

Project name. Creates project if it doesn’t exist. Ignored when project_id is provided.

namestring
metadatamap from strings to any or list of objects or string
tagslist of strings
typeenum
Allowed values:
evaluation_methodenum
Allowed values:
optimization_idstringformat: "uuid"
feedback_scoreslist of objectsRead-only
commentslist of objectsRead-only
trace_countlongRead-only
dataset_item_countlongRead-only
created_atdatetimeRead-only
durationobject
total_estimated_costdoubleRead-only
total_estimated_cost_avgdoubleRead-only
usagemap from strings to doublesRead-only
last_updated_atdatetimeRead-only
created_bystringRead-only
last_updated_bystringRead-only
statusenum
Allowed values:
experiment_scoreslist of objects
prompt_versionobject
prompt_versionslist of objects
dataset_version_idstringformat: "uuid"
ID of the dataset version this experiment is linked to. If not provided at creation, experiment will be automatically linked to the latest version.
dataset_version_summaryobjectRead-only
Summary of the latest dataset version
pass_ratedoubleRead-only

Pass rate for test suite experiments (0.0-1.0). Null for regular experiments.

passed_countlongRead-only
Number of items that passed for test suite experiments. Null for regular experiments.
total_countlongRead-only
Total number of items for test suite experiments. Null for regular experiments.
assertion_scoreslist of objectsRead-only

Per-assertion average pass rates for test suite experiments. Null for regular experiments.

Errors

404
Not Found Error